Bug 435568 - Plugin in headphones doesn't turn off speakers [NEEDINFO]
Plugin in headphones doesn't turn off speakers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 16:18 EST by Carl Parrish
Modified: 2009-01-09 01:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:05:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
davej: needinfo?


Attachments (Terms of Use)
Amixer Output (1.64 KB, text/plain)
2008-03-01 16:18 EST, Carl Parrish
no flags Details

  None (edit)
Description Carl Parrish 2008-03-01 16:18:59 EST
Description of problem:
I have a HP Pavillion dv9500 laptop. After changing several configs I'm now able
to hear sound though my headphones but it doesn't stop the speakers from also
playing sound. 


Version-Release number of selected component (if applicable):
pulseaudio-0.9.8-5.fc8
alsa-lib-1.0.15-1.fc8


How reproducible:
always

Steps to Reproduce:
1. Plug my headphones into the Headphone jack
2. Listen to flash video, mplayer or amarok
3. 
  
Actual results:
when i plug headphones to my laptop, i can hear sound through them, but my
laptops speakers don't go off


Expected results:
Sound should come though headphones but not the speakers

Additional info:
from /etc/modprobe.conf
alias eth0 forcedeth
alias scsi_hostadapter ahci
alias scsi_hostadapter1 pata_amd
alias snd-card-0 snd-hda-intel
options snd-card-0 index=0
options snd-hda-intel index=0
options snd-hda-intel model=laptop-hp
alias wlan0 b43
alias eth1 forcedeth

I had to add some of that to get sound coming though the headphones. Don't
remember what exactly though I'm sure the options snd-hda-intel model=laptop-hp
was added.
Comment 1 Carl Parrish 2008-03-01 16:18:59 EST
Created attachment 296458 [details]
Amixer Output
Comment 2 Carl Parrish 2008-03-01 16:28:42 EST
Sorry the component was off. 
Comment 3 Tommaso Visconti 2008-11-24 11:46:00 EST
I have the same problem on my macbook with fedora 10, alsa-lib-1.0.18-6.rc3.fc10 and pulseaudio-0.9.13-6.fc10
Comment 4 Bug Zapper 2008-11-26 04:59:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Dave Jones 2008-12-09 16:23:24 EST
Please attach the output of /proc/asound/card0/codec#0

Fixing this may need a sizable backport of ALSA changes, so it's unlikely to get fixed in F8 at this time, but we can make sure it gets into F9/F10 if it just needs an additional quirk entry.
Comment 6 Bug Zapper 2009-01-09 01:05:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.